Create reactors master configuration:
  file.managed:
    - name: /etc/salt/master.d/reactors.conf
    - source: salt://salt-master/files/etc/salt/master.d/reactors.conf
    - user: root
    - group: root
    - mode: "0644"

Create reactors directory:
  file.directory:
    - name: /srv/reactor
    - user: root
    - group: root
    - mode: "0755"

Create rfxcom reactor:
  file.managed:
    - name: /srv/reactor/device_reactor.sls
    - source: salt://salt-master/files/srv/reactor/device_reactor.sls
    - user: root
    - group: root
    - mode: "0644"

#restart master to load reactors:
#  service.running:
#    - name: salt-master
#    - onchanges:
#      - file: Create reactors master configuration
